### Method

# Camel FolderSummary replace_flags

since: 3.58

#### Declaration [src]

    gboolean
    camel_folder_summary_replace_flags (
      CamelFolderSummary* summary,
      const gchar* uid,
      guint32 new_flags
    )

#### Description [src]

Updates internal counts based on the `new_flags` for the message info `uid`.

Available since: 3.58

#### Parameters

`uid`

  Type: `const gchar*`

  A message info UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`new_flags`

  Type: `guint32`

  New flags to use.

#### Return value

Type: `gboolean`

Whether any count changed.